petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESKSPSetUseEW

Sets SNES use Eisenstat-Walker method for computing relative tolerance for linear solvers within an inexact Newton method.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESKSPSetUseEW(SNES snes,PetscBool flag)

Logically Collective on SNES Many br

### Input Parameters

| snes | - SNES context Many br
| flag | - PETSC_TRUE or PETSC_FALSE Many br

### Options Database

| -snes_ksp_ew | - use Eisenstat-Walker method for determining linear system convergence Many br
| -snes_ksp_ew_version ver | - version of Eisenstat-Walker method Many br
| -snes_ksp_ew_rtol0 <rtol0> | - Sets rtol0 Many br
| -snes_ksp_ew_rtolmax <rtolmax> | - Sets rtolmax Many br
| -snes_ksp_ew_gamma <gamma> | - Sets gamma Many br
| -snes_ksp_ew_alpha <alpha> | - Sets alpha Many br
| -snes_ksp_ew_alpha2 <alpha2> | - Sets alpha2 Many br
| -snes_ksp_ew_threshold <threshold> | - Sets threshold Many br

### Notes

Currently, the default is to use a constant relative tolerance for Many brthe inner linear solvers. Alternatively, one can use the Many brEisenstat-Walker method, where the relative convergence tolerance Many bris reset at each Newton iteration according progress of the nonlinear Many brsolver. Many br

Many br

### Reference

S. C. Eisenstat and H. F. Walker, "Choosing the forcing terms in an Many brinexact Newton method", SISC 17 (1), pp.16-32, 1996. Many br

### Keywords

SNES, KSP, Eisenstat, Walker, convergence, test, inexact, Newton

### See Also

SNESKSPGetUseEW(), SNESKSPGetParametersEW(), SNESKSPSetParametersEW()

Level:advanced
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages